#ifndef _H_AUDIO_DEVICES
#define _H_AUDIO_DEVICES

class WavePlaybackAbstract {
public:
    WavePlaybackAbstract() {}
    virtual ~WavePlaybackAbstract() {}

    virtual bool write(uint8_t* frame) = 0;
    virtual bool abort() = 0;
    virtual void stop() = 0;
    virtual uint32_t get_delay_ms() = 0;

    enum {
        FRAME_SIZE = 256,
    };
};

class WaveRecordAbstract {
public:
    WaveRecordAbstract() {};
    virtual ~WaveRecordAbstract() {}


    virtual void start() = 0;
    virtual void stop() = 0;
    virtual bool abort() = 0;

    enum {
        FRAME_SIZE = 256,
    };
};

#endif

