#ifndef _H_RED_PIXMAP_GL
#define _H_RED_PIXMAP_GL

#include "red_pixmap.h"
#include "red_window.h"

enum RenderType {
    RENDER_TYPE_PBUFF,
    RENDER_TYPE_FBO,
};

class RedPixmapGL : public RedPixmap {
public:
    RedPixmapGL(int width, int height, Format format, bool top_bottom,
                rgb32_t *pallete, RedWindow *win, RenderType rendertype);

    void destroy_textures();
    void touch_context();
    void update_texture(const Rect *bbox);
    void pre_copy();
    void past_copy();
    ~RedPixmapGL();
private:
    RedGlContext _glcont;
    GLint _prev_tex;
    GLint _prev_matrix_mode;
    bool _tex_enabled;
};

#endif
